scala.swing.Table.selection

# rows

#### object rows extends SelectionSet[Int]

Source
  Table.scala

Linear Supertypes
SelectionSet[Int], Set[Int], SetLike[Int, Set[Int]], collection.mutable.Cloneable[Set[Int]], Cloneable, java.lang.Cloneable, Shrinkable[Int], Builder[Int, Set[Int]], Growable[Int], Clearable, Scriptable[Int], Set[Int], SetLike[Int, Set[Int]], Subtractable[Int, Set[Int]], GenSet[Int], GenericSetTemplate[Int, Set], GenSetLike[Int, Set[Int]], (Int) ⇒ Boolean, collection.mutable.Iterable[Int], collection.Iterable[Int], IterableLike[Int, Set[Int]], Equals, GenIterable[Int], GenIterableLike[Int, Set[Int]], collection.mutable.Traversable[Int], Mutable, collection.Traversable[Int], GenTraversable[Int], GenericTraversableTemplate[Int, Set], TraversableLike[Int, Set[Int]], GenTraversableLike[Int, Set[Int]], Parallelizable[Int, ParSet[Int]], collection.TraversableOnce[Int], GenTraversableOnce[Int], FilterMonadic[Int, Set[Int]], HasNewBuilder[Int, Set[Int]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. rows
2. SelectionSet
3. Set
4. SetLike
5. Cloneable
6. Cloneable
7. Cloneable
8. Shrinkable
9. Builder
10. Growable
11. Clearable
12. Scriptable
13. Set
14. SetLike
15. Subtractable
16. GenSet
17. GenericSetTemplate
18. GenSetLike
19. Function1
20. Iterable
21. Iterable
22. IterableLike
23. Equals
24. GenIterable
25. GenIterableLike
26. Traversable
27. Mutable
28. Traversable
29. GenTraversable
30. GenericTraversableTemplate
31. TraversableLike
32. GenTraversableLike
33. Parallelizable
34. TraversableOnce
35. GenTraversableOnce
36. FilterMonadic
37. HasNewBuilder
38. AnyRef
39. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Self = Set[Int]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

2. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def &(that: GenSet[Int]): Set[Int]

   Computes the intersection between this set and another set.

   Computes the intersection between this set and another set.

   Note: Same as `intersect`.

   that

     the set to intersect with.

   returns

     a new set consisting of all elements that are both in this set and in the given set `that`.

   Definition Classes
     GenSetLike

5. #### def &~(that: GenSet[Int]): Set[Int]

   The difference of this set and another set.

   The difference of this set and another set.

   Note: Same as `diff`.

   that

     the set of elements to exclude.

   returns

     a set containing those elements of this set that are not also contained in the given set `that`.

   Definition Classes
     GenSetLike

6. #### def +(elem1: Int, elem2: Int, elems: Int*): Set[Int]

   Creates a new set consisting of all the elements of this set and two or more specified elements.

   Creates a new set consisting of all the elements of this set and two or more specified elements.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     a new set consisting of all the elements of this set, `elem1`, `elem2` and those in `elems`.

   Definition Classes
     SetLike → SetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new set. Use `+=` to add an element to this set and return that set itself.

7. #### def +(elem: Int): Set[Int]

   Creates a new set consisting of all the elements of this set and `elem`.

   Creates a new set consisting of all the elements of this set and `elem`.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   elem

     the element to add.

   returns

     a new set consisting of elements of this set and `elem`.

   Definition Classes
     SetLike → SetLike → GenSetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new set. Use `+=` to add an element to this set and return that set itself.

8. #### def ++(xs: GenTraversableOnce[Int]): Set[Int]

   Creates a new set consisting of all the elements of this set and those provided by the specified traversable object.

   Creates a new set consisting of all the elements of this set and those provided by the specified traversable object.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   xs

     the traversable object.

   returns

     a new set consisting of elements of this set and those in `xs`.

   Definition Classes
     SetLike → SetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `++` creates a new set. Use `++=` to add elements to this set and return that set itself.

9. #### def ++[B](that: GenTraversableOnce[B]): mutable.Set[B]

   [use case] Returns a new mutable set containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new mutable set containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the mutable set is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new mutable set which contains all elements of this mutable set followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: Int, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[Set[Int], B, That]): That

10. #### def ++:[B >: Int, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[Set[Int], B, That]): That

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

    Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    that

      the traversable to append.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      a new collection of type `That` which contains all elements of this mutable set followed by all elements of `that`.

    Definition Classes
      TraversableLike

11. #### def ++:[B](that: collection.TraversableOnce[B]): mutable.Set[B]

    [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    [use case]

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    B

      the element type of the returned collection.

    that

      the traversable to append.

    returns

      a new mutable set which contains all elements of this mutable set followed by all elements of `that`.

    Definition Classes
      TraversableLike
    Full Signature

    #### def ++:[B >: Int, That](that: collection.TraversableOnce[B])(implicit bf: CanBuildFrom[Set[Int], B, That]): That

12. #### def ++=(xs: collection.TraversableOnce[Int]): rows.this.type

    adds all elements produced by a TraversableOnce to this mutable set.

    adds all elements produced by a TraversableOnce to this mutable set.

    xs

      the TraversableOnce producing the elements to add.

    returns

      the mutable set itself.

    Definition Classes
      Growable

13. #### def +=(n: Int): rows.this.type

    Adds a single element to the set.

    Adds a single element to the set.

    returns

      the builder itself.

    Definition Classes
      rows → SelectionSet → SetLike → Builder → Growable

14. #### def +=(elem1: Int, elem2: Int, elems: Int*): rows.this.type

    adds two or more elements to this mutable set.

    adds two or more elements to this mutable set.

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the mutable set itself

    Definition Classes
      Growable

15. #### def -(elem1: Int, elem2: Int, elems: Int*): Set[Int]

    Creates a new set consisting of all the elements of this set except the two or more specified elements.

    Creates a new set consisting of all the elements of this set except the two or more specified elements.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      a new set consisting of all the elements of this set except `elem1`, `elem2` and `elems`.

    Definition Classes
      SetLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new set. Use `-=` to remove an element from this set and return that set itself.

16. #### def -(elem: Int): Set[Int]

    Creates a new set consisting of all the elements of this set except `elem`.

    Creates a new set consisting of all the elements of this set except `elem`.

    elem

      the element to remove.

    returns

      a new set consisting of all the elements of this set except `elem`.

    Definition Classes
      SetLike → SetLike → Subtractable → GenSetLike
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new set. Use `-=` to remove an element from this set and return that set itself.

17. #### def --(xs: GenTraversableOnce[Int]): Set[Int]

    Creates a new set consisting of all the elements of this set except those provided by the specified traversable object.

    Creates a new set consisting of all the elements of this set except those provided by the specified traversable object.

    xs

      the traversable object.

    returns

      a new set consisting of all the elements of this set except elements from `xs`.

    Definition Classes
      SetLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `--` creates a new set. Use `--=` to remove elements from this set and return that set itself.

18. #### def --=(xs: collection.TraversableOnce[Int]): rows.this.type

    Removes all elements produced by an iterator from this mutable set.

    Removes all elements produced by an iterator from this mutable set.

    xs

      the iterator producing the elements to remove.

    returns

      the mutable set itself

    Definition Classes
      Shrinkable

19. #### def -=(n: Int): rows.this.type

    Removes a single element from this mutable set.

    Removes a single element from this mutable set.

    returns

      the mutable set itself

    Definition Classes
      rows → SelectionSet → SetLike → Shrinkable

20. #### def -=(elem1: Int, elem2: Int, elems: Int*): rows.this.type

    Removes two or more elements from this mutable set.

    Removes two or more elements from this mutable set.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      the mutable set itself

    Definition Classes
      Shrinkable

21. #### def /:[B](z: B)(op: (B, Int) ⇒ B): B

    Applies a binary operator to a start value and all elements of this mutable set, going left to right.

    Applies a binary operator to a start value and all elements of this mutable set, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable set, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this mutable set.

    Definition Classes
      TraversableOnce → GenTraversableOnce

22. #### def :\[B](z: B)(op: (Int, B) ⇒ B): B

    Applies a binary operator to all elements of this mutable set and a start value, going right to left.

    Applies a binary operator to all elements of this mutable set and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this mutable set, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this mutable set.

    Definition Classes
      TraversableOnce → GenTraversableOnce

23. #### def <<(cmd: Message[Int]): Unit

    Send a message to this scriptable object.

    Send a message to this scriptable object.

    cmd

      the message to send.

    Definition Classes
      SetLike → Scriptable
    Exceptions thrown
      `Predef.UnsupportedOperationException`

      if the message was not understood.

24. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

26. #### def add(elem: Int): Boolean

    Adds an element to this mutable set.

    Adds an element to this mutable set.

    elem

      the element to be added

    returns

      `true` if the element was not yet present in the set, `false` otherwise.

    Definition Classes
      SetLike

27. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this mutable set to a string builder.

    Appends all elements of this mutable set to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable set without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

28. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this mutable set to a string builder using a separator string.

    Appends all elements of this mutable set to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this mutable set, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

29. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this mutable set to a string builder using start, end, and separator strings.

    Appends all elements of this mutable set to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable set are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

30. #### def aggregate[B](z: B)(seqop: (B, Int) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

31. #### def anchorIndex: Int

32. #### def andThen[A](g: (Boolean) ⇒ A): (Int) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied first.

    Composes two instances of Function1 in a new Function1, with this function applied first.

    A

      the result type of function `g`

    g

      a function R => A

    returns

      a new function `f` such that `f(x) == g(apply(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

33. #### def apply(elem: Int): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    This method is equivalent to `contains`. It allows sets to be interpreted as predicates.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      GenSetLike → Function1

34. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

35. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this mutable set should be compared

    returns

      `true`, if this mutable set can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

36. #### def clear(): Unit

    Removes all elements from the set.

    Removes all elements from the set. After this operation is completed, the set will be empty.

    Definition Classes
      SetLike → Builder → Growable → Clearable

37. #### def clone(): Set[Int]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      SetLike → Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

38. #### def collect[B](pf: PartialFunction[A, B]): mutable.Set[B]

    [use case] Builds a new collection by applying a partial function to all elements of this mutable set on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this mutable set on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the mutable set.

    returns

      a new mutable set resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[Int, B])(implicit bf: CanBuildFrom[Set[Int], B, That]): That

39. #### def collectFirst[B](pf: PartialFunction[Int, B]): Option[B]

    Finds the first element of the mutable set for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the mutable set for which the given partial function is defined, and applies the partial function to it.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

40. #### def companion: GenericCompanion[Set]

    The factory companion object that builds instances of class `mutable.Set`.

    The factory companion object that builds instances of class `mutable.Set`. (or its `Iterable` superclass where class `mutable.Set` is not a `Seq`.)

    Definition Classes
      Set → Set → GenSet → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

41. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Boolean

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

42. #### def contains(n: Int): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      SelectionSet → SetLike → GenSetLike

43. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this mutable set to an array.

    [use case]

    Copies elements of this mutable set to an array. Fills the given array `xs` with at most `len` elements of this mutable set, starting at position `start`. Copying will stop once either the end of the current mutable set is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Int](xs: Array[B], start: Int, len: Int): Unit

44. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this mutable set to an array.

    [use case]

    Copies values of this mutable set to an array. Fills the given array `xs` with values of this mutable set. Copying will stop once either the end of the current mutable set is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Int](xs: Array[B]): Unit

45. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this mutable set to an array.

    [use case]

    Copies values of this mutable set to an array. Fills the given array `xs` with values of this mutable set, beginning at index `start`. Copying will stop once either the end of the current mutable set is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Int](xs: Array[B], start: Int): Unit

46. #### def copyToBuffer[B >: Int](dest: Buffer[B]): Unit

    Copies all elements of this mutable set to a buffer.

    Copies all elements of this mutable set to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

47. #### def count(p: (Int) ⇒ Boolean): Int

    Counts the number of elements in the mutable set which satisfy a predicate.

    Counts the number of elements in the mutable set which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

48. #### def diff(that: GenSet[Int]): Set[Int]

    Computes the difference of this set and another set.

    Computes the difference of this set and another set.

    that

      the set of elements to exclude.

    returns

      a set containing those elements of this set that are not also contained in the given set `that`.

    Definition Classes
      SetLike → GenSetLike

49. #### def drop(n: Int): Set[Int]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this mutable set.

    returns

      a mutable set consisting of all elements of this mutable set except the first `n` ones, or else the empty mutable set, if this mutable set has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike

50. #### def dropRight(n: Int): Set[Int]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      The number of elements to take

    returns

      a mutable set consisting of all elements of this mutable set except the last `n` ones, or else the empty mutable set, if this mutable set has less than `n` elements.

    Definition Classes
      IterableLike

51. #### def dropWhile(p: (Int) ⇒ Boolean): Set[Int]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the longest suffix of this mutable set whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike

52. #### def empty: Set[Int]

    Definition Classes
      GenericSetTemplate

53. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

54. #### def equals(that: Any): Boolean

    Compares this set with another object for equality.

    Compares this set with another object for equality.

    Note: This operation contains an unchecked cast: if `that` is a set, it will assume with an unchecked cast that it has the same element type as this set. Any subsequent ClassCastException is treated as a `false` result.

    that

      the other object

    returns

      `true` if `that` is a set which contains the same elements as this set.

    Definition Classes
      GenSetLike → Equals → AnyRef → Any

55. #### def exists(p: (Int) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this mutable set.

    Tests whether a predicate holds for some of the elements of this mutable set.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this mutable set, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

56. #### def filter(p: (Int) ⇒ Boolean): Set[Int]

    Selects all elements of this mutable set which satisfy a predicate.

    Selects all elements of this mutable set which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new mutable set consisting of all elements of this mutable set that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

57. #### def filterNot(p: (Int) ⇒ Boolean): Set[Int]

    Selects all elements of this mutable set which do not satisfy a predicate.

    Selects all elements of this mutable set which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new mutable set consisting of all elements of this mutable set that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

58. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

59. #### def find(p: (Int) ⇒ Boolean): Option[Int]

    Finds the first element of the mutable set satisfying a predicate, if any.

    Finds the first element of the mutable set satisfying a predicate, if any.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the mutable set that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

60. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): mutable.Set[B]

    [use case] Builds a new collection by applying a function to all elements of this mutable set and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this mutable set and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of mutable set. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable set resulting from applying the given collection-valued function `f` to each element of this mutable set and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (Int) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[Set[Int], B, That]): That

61. #### def flatten[B]: mutable.Set[B]

    [use case] Converts this mutable set of traversable collections into a mutable set formed by the elements of these traversable collections.

    [use case]

    Converts this mutable set of traversable collections into a mutable set formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of mutable set. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new mutable set resulting from concatenating all element mutable sets.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (Int) ⇒ GenTraversableOnce[B]): Set[B]

62. #### def fold[A1 >: Int](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this mutable set using the specified associative binary operator.

    Folds the elements of this mutable set using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

63. #### def foldLeft[B](z: B)(op: (B, Int) ⇒ B): B

    Applies a binary operator to a start value and all elements of this mutable set, going left to right.

    Applies a binary operator to a start value and all elements of this mutable set, going left to right.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable set, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this mutable set.

    Definition Classes
      TraversableOnce → GenTraversableOnce

64. #### def foldRight[B](z: B)(op: (Int, B) ⇒ B): B

    Applies a binary operator to all elements of this mutable set and a start value, going right to left.

    Applies a binary operator to all elements of this mutable set and a start value, going right to left.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this mutable set, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this mutable set.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

65. #### def forall(p: (Int) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this mutable set.

    Tests whether a predicate holds for all elements of this mutable set.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this mutable set, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

66. #### def foreach(f: (Int) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this mutable set.

    [use case]

    Applies a function `f` to all elements of this mutable set.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (Int) ⇒ U): Unit

67. #### def genericBuilder[B]: Builder[B, Set[B]]

    The generic builder that builds instances of `mutable.Set` at arbitrary element types.

    The generic builder that builds instances of `mutable.Set` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

68. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

69. #### def groupBy[K](f: (Int) ⇒ K): Map[K, Set[Int]]

    Partitions this mutable set into a map of mutable sets according to some discriminator function.

    Partitions this mutable set into a map of mutable sets according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new mutable set.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to mutable sets such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a mutable set of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

70. #### def grouped(size: Int): collection.Iterator[Set[Int]]

    Partitions elements in fixed size mutable sets.

    Partitions elements in fixed size mutable sets.

    size

      the number of elements per group

    returns

      An iterator producing mutable sets of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

71. #### def hasDefiniteSize: Boolean

    Tests whether this mutable set is known to have a finite size.

    Tests whether this mutable set is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

72. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenSetLike → AnyRef → Any

73. #### def head: Int

    Selects the first element of this mutable set.

    Selects the first element of this mutable set.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this mutable set.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the mutable set is empty.

74. #### def headOption: Option[Int]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this mutable set if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

75. #### def init: Set[Int]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a mutable set consisting of all elements of this mutable set except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the mutable set is empty.

76. #### def inits: collection.Iterator[Set[Int]]

    Iterates over the inits of this mutable set.

    Iterates over the inits of this mutable set. The first value will be this mutable set and the final one will be an empty mutable set, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this mutable set

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

77. #### def intersect(that: GenSet[Int]): Set[Int]

    Computes the intersection between this set and another set.

    Computes the intersection between this set and another set.

    that

      the set to intersect with.

    returns

      a new set consisting of all elements that are both in this set and in the given set `that`.

    Definition Classes
      GenSetLike

78. #### def isEmpty: Boolean

    Tests if this set is empty.

    Tests if this set is empty.

    returns

      `true` if there is no element in the set, `false` otherwise.

    Definition Classes
      SetLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

79. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

80. #### final def isTraversableAgain: Boolean

    Tests whether this mutable set can be repeatedly traversed.

    Tests whether this mutable set can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

81. #### def iterator: collection.Iterator[Int]

    Creates a new iterator over all elements contained in this iterable object.

    Creates a new iterator over all elements contained in this iterable object.

    returns

      the new iterator

    Definition Classes
      SelectionSet → GenSetLike → IterableLike → GenIterableLike

82. #### def last: Int

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this mutable set.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the mutable set is empty.

83. #### def lastOption: Option[Int]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this mutable set$ if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

84. #### def leadIndex: Int

85. #### def map[B](f: (A) ⇒ B): mutable.Set[B]

    [use case] Builds a new collection by applying a function to all elements of this mutable set.

    [use case]

    Builds a new collection by applying a function to all elements of this mutable set.

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable set resulting from applying the given function `f` to each element of this mutable set and collecting the results.

    Definition Classes
      SetLike → TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def map[B, That](f: (Int) ⇒ B)(implicit bf: CanBuildFrom[Set[Int], B, That]): That

86. #### def mapResult[NewTo](f: (Set[Int]) ⇒ NewTo): Builder[Int, NewTo]

    Creates a new builder by applying a transformation function to the results of this builder.

    Creates a new builder by applying a transformation function to the results of this builder.

    NewTo

      the type of collection returned by `f`.

    f

      the transformation function.

    returns

      a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

    Definition Classes
      Builder

87. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this mutable set.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def max[B >: Int](implicit cmp: Ordering[B]): Int

88. #### def maxBy[B](f: (Int) ⇒ B)(implicit cmp: Ordering[B]): Int

    Definition Classes
      TraversableOnce → GenTraversableOnce

89. #### def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this mutable set

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def min[B >: Int](implicit cmp: Ordering[B]): Int

90. #### def minBy[B](f: (Int) ⇒ B)(implicit cmp: Ordering[B]): Int

    Definition Classes
      TraversableOnce → GenTraversableOnce

91. #### def mkString: String

    Displays all elements of this mutable set in a string.

    Displays all elements of this mutable set in a string.

    returns

      a string representation of this mutable set. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable set follow each other without any separator string.

    Definition Classes
      TraversableOnce → GenTraversableOnce

92. #### def mkString(sep: String): String

    Displays all elements of this mutable set in a string using a separator string.

    Displays all elements of this mutable set in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this mutable set. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this mutable set are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

93. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this mutable set in a string using start, end, and separator strings.

    Displays all elements of this mutable set in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this mutable set. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this mutable set are separated by the string `sep`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

94. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

95. #### def newBuilder: Builder[Int, Set[Int]]

    A common implementation of `newBuilder` for all mutable sets in terms of `empty`.

    A common implementation of `newBuilder` for all mutable sets in terms of `empty`. Overrides the implementation in `collection.SetLike` for better efficiency.

    Attributes
      protected[this]
    Definition Classes
      SetLike → SetLike → TraversableLike → HasNewBuilder

96. #### def nonEmpty: Boolean

    Tests whether the mutable set is not empty.

    Tests whether the mutable set is not empty.

    returns

      `true` if the mutable set contains at least one element, `false` otherwise.

    Definition Classes
      TraversableOnce → GenTraversableOnce

97. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

98. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

99. #### def par: ParSet[Int]

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Definition Classes
      Parallelizable

100. #### def parCombiner: Combiner[Int, ParSet[Int]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SetLike → SetLike → TraversableLike → Parallelizable

101. #### def partition(p: (Int) ⇒ Boolean): (Set[Int], Set[Int])

     Partitions this mutable set in two mutable sets according to a predicate.

     Partitions this mutable set in two mutable sets according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of mutable sets: the first mutable set consists of all elements that satisfy the predicate `p` and the second mutable set consists of all elements that don't. The relative order of the elements in the resulting mutable sets is the same as in the original mutable set.

     Definition Classes
       TraversableLike → GenTraversableLike

102. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this mutable set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable set and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: Int](implicit num: Numeric[B]): B

103. #### def reduce[A1 >: Int](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this mutable set using the specified associative binary operator.

     Reduces the elements of this mutable set using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the mutable set is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this mutable set is empty.

104. #### def reduceLeft[B >: Int](op: (B, Int) ⇒ B): B

     Definition Classes
       TraversableOnce

105. #### def reduceLeftOption[B >: Int](op: (B, Int) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this mutable set, going left to right.

     Optionally applies a binary operator to all elements of this mutable set, going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this mutable set is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

106. #### def reduceOption[A1 >: Int](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this mutable set, if any, using the specified associative binary operator.

     Reduces the elements of this mutable set, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

107. #### def reduceRight[B >: Int](op: (Int, B) ⇒ B): B

     Applies a binary operator to all elements of this mutable set, going right to left.

     Applies a binary operator to all elements of this mutable set, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this mutable set, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this mutable set.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this mutable set is empty.

108. #### def reduceRightOption[B >: Int](op: (Int, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this mutable set, going right to left.

     Optionally applies a binary operator to all elements of this mutable set, going right to left.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this mutable set is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

109. #### def remove(elem: Int): Boolean

     Removes an element from this set.

     Removes an element from this set.

     elem

       The element to be removed.

     returns

       `true` if the element was previously present in the set, `false` otherwise.

     Definition Classes
       SetLike

110. #### def repr: Set[Int]

     The collection of type mutable set underlying this `TraversableLike` object.

     The collection of type mutable set underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

111. #### def result(): Set[Int]

     The result when this set is used as a builder

     The result when this set is used as a builder

     returns

       the set representation itself.

     Definition Classes
       SetLike → Builder

112. #### def retain(p: (Int) ⇒ Boolean): Unit

     Removes all elements from the set for which do not satisfy a predicate.

     Removes all elements from the set for which do not satisfy a predicate.

     p

       the predicate used to test elements. Only elements for which `p` returns `true` are retained in the set; all others are removed.

     Definition Classes
       SetLike

113. #### def reversed: List[Int]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

114. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this mutable set.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this mutable set.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: Int](that: GenIterable[B]): Boolean

115. #### def scan[B >: Int, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[Set[Int], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new mutable set containing the prefix scan of the elements in this mutable set

     Definition Classes
       TraversableLike → GenTraversableLike

116. #### def scanLeft[B, That](z: B)(op: (B, Int) ⇒ B)(implicit bf: CanBuildFrom[Set[Int], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

117. #### def scanRight[B, That](z: B)(op: (Int, B) ⇒ B)(implicit bf: CanBuildFrom[Set[Int], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

118. #### def seq: Set[Int]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Set → Set → GenSet → GenSetLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

119. #### def size: Int

     The size of this mutable set.

     The size of this mutable set.

     returns

       the number of elements in this mutable set.

     Definition Classes
       SelectionSet → GenTraversableLike → TraversableOnce → GenTraversableOnce

120. #### def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder

121. #### def sizeHint(coll: TraversableLike[_, _]): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     Definition Classes
       Builder

122. #### def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder

123. #### def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder

124. #### def slice(from: Int, until: Int): Set[Int]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a mutable set containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this mutable set.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

125. #### def sliding(size: Int, step: Int): collection.Iterator[Set[Int]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing mutable sets of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

126. #### def sliding(size: Int): collection.Iterator[Set[Int]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing mutable sets of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

127. #### def span(p: (Int) ⇒ Boolean): (Set[Int], Set[Int])

     Splits this mutable set into a prefix/suffix pair according to a predicate.

     Splits this mutable set into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a pair consisting of the longest prefix of this mutable set whose elements all satisfy `p`, and the rest of this mutable set.

     Definition Classes
       TraversableLike → GenTraversableLike

128. #### def splitAt(n: Int): (Set[Int], Set[Int])

     Splits this mutable set into two at a given position.

     Splits this mutable set into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of mutable sets consisting of the first `n` elements of this mutable set, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike

129. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this set. Unless overridden this is simply `"Set"`.

     Definition Classes
       SetLike → TraversableLike → GenTraversableLike

130. #### def subsetOf(that: GenSet[Int]): Boolean

     Tests whether this set is a subset of another set.

     Tests whether this set is a subset of another set.

     that

       the set to test.

     returns

       `true` if this set is a subset of `that`, i.e. if every element of this set is also an element of `that`.

     Definition Classes
       GenSetLike

131. #### def subsets: collection.Iterator[Set[Int]]

     An iterator over all subsets of this set.

     An iterator over all subsets of this set.

     returns

       the iterator.

     Definition Classes
       SetLike

132. #### def subsets(len: Int): collection.Iterator[Set[Int]]

     An iterator over all subsets of this set of the given size.

     An iterator over all subsets of this set of the given size. If the requested size is impossible, an empty iterator is returned.

     len

       the size of the subsets.

     returns

       the iterator.

     Definition Classes
       SetLike

133. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this mutable set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable set and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: Int](implicit num: Numeric[B]): B

134. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

135. #### def tail: Set[Int]

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a mutable set consisting of all elements of this mutable set except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the mutable set is empty.

136. #### def tails: collection.Iterator[Set[Int]]

     Iterates over the tails of this mutable set.

     Iterates over the tails of this mutable set. The first value will be this mutable set and the final one will be an empty mutable set, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this mutable set

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

137. #### def take(n: Int): Set[Int]

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this mutable set.

     returns

       a mutable set consisting only of the first `n` elements of this mutable set, or else the whole mutable set, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

138. #### def takeRight(n: Int): Set[Int]

     Selects last n elements.

     Selects last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take

     returns

       a mutable set consisting only of the last `n` elements of this mutable set, or else the whole mutable set, if it has less than `n` elements.

     Definition Classes
       IterableLike

139. #### def takeWhile(p: (Int) ⇒ Boolean): Set[Int]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the longest prefix of this mutable set whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike

140. #### def thisCollection: collection.Iterable[Int]

     The underlying collection seen as an instance of ``mutable.Set``.

     The underlying collection seen as an instance of ``mutable.Set``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

141. #### def to[Col[_]]: Col[A]

     [use case] Converts this mutable set into another by copying all elements.

     [use case]

     Converts this mutable set into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this mutable set.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Int, Col[Int]]): Col[Int]

142. #### def toArray: Array[A]

     [use case] Converts this mutable set to an array.

     [use case]

     Converts this mutable set to an array.

     returns

       an array containing all elements of this mutable set. An `ClassTag` must be available for the element type of this mutable set.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: Int](implicit arg0: ClassTag[B]): Array[B]

143. #### def toBuffer[A1 >: Int]: Buffer[A1]

     Converts this mutable set to a mutable buffer.

     Converts this mutable set to a mutable buffer.

     returns

       a buffer containing all elements of this mutable set.

     Definition Classes
       SetLike → TraversableOnce → GenTraversableOnce

144. #### def toCollection(repr: Set[Int]): collection.Iterable[Int]

     A conversion from collections of type `Repr` to ``mutable.Set`` objects.

     A conversion from collections of type `Repr` to ``mutable.Set`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike

145. #### def toIndexedSeq: collection.immutable.IndexedSeq[Int]

     Converts this mutable set to an indexed sequence.

     Converts this mutable set to an indexed sequence.

     returns

       an indexed sequence containing all elements of this mutable set.

     Definition Classes
       TraversableOnce → GenTraversableOnce

146. #### def toIterable: collection.Iterable[Int]

     Converts this mutable set to an iterable collection.

     Converts this mutable set to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this mutable set.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

147. #### def toIterator: collection.Iterator[Int]

     Returns an Iterator over the elements in this mutable set.

     Returns an Iterator over the elements in this mutable set. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this mutable set.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

148. #### def toList: List[Int]

     Converts this mutable set to a list.

     Converts this mutable set to a list.

     returns

       a list containing all elements of this mutable set.

     Definition Classes
       TraversableOnce → GenTraversableOnce

149. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this mutable set to a map.

     [use case]

     Converts this mutable set to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this mutable set.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[Int, (T, U)]): Map[T, U]

150. #### def toSeq: collection.Seq[Int]

     Converts this mutable set to a sequence.

     Converts this mutable set to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     returns

       a sequence containing all elements of this mutable set.

     Definition Classes
       SetLike → TraversableOnce → GenTraversableOnce

151. #### def toSet[B >: Int]: Set[B]

     Converts this mutable set to a set.

     Converts this mutable set to a set.

     returns

       a set containing all elements of this mutable set.

     Definition Classes
       TraversableOnce → GenTraversableOnce

152. #### def toStream: collection.immutable.Stream[Int]

     Converts this mutable set to a stream.

     Converts this mutable set to a stream.

     returns

       a stream containing all elements of this mutable set.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

153. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       SetLike → Function1 → TraversableLike → AnyRef → Any

154. #### def toTraversable: collection.Traversable[Int]

     Converts this mutable set to an unspecified Traversable.

     Converts this mutable set to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this mutable set.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

155. #### def toVector: Vector[Int]

     Converts this mutable set to a Vector.

     Converts this mutable set to a Vector.

     returns

       a vector containing all elements of this mutable set.

     Definition Classes
       TraversableOnce → GenTraversableOnce

156. #### def transpose[B](implicit asTraversable: (Int) ⇒ GenTraversableOnce[B]): Set[Set[B]]

     Transposes this mutable set of traversable collections into a mutable set of mutable sets.

     Transposes this mutable set of traversable collections into a mutable set of mutable sets.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this mutable set is a `Traversable`.

     returns

       a two-dimensional mutable set of mutable sets which has as nth row the nth column of this mutable set.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this mutable set are not of the same size.

157. #### def union(that: GenSet[Int]): Set[Int]

     Computes the union between of set and another set.

     Computes the union between of set and another set.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       SetLike → GenSetLike

158. #### def unzip[A1, A2](implicit asPair: (Int) ⇒ (A1, A2)): (Set[A1], Set[A2])

     Converts this mutable set of pairs into two collections of the first and second half of each pair.

     Converts this mutable set of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this mutable set is a pair.

     returns

       a pair mutable sets, containing the first, respectively second half of each element pair of this mutable set.

     Definition Classes
       GenericTraversableTemplate

159. #### def unzip3[A1, A2, A3](implicit asTriple: (Int) ⇒ (A1, A2, A3)): (Set[A1], Set[A2], Set[A3])

     Converts this mutable set of triples into three collections of the first, second, and third element of each triple.

     Converts this mutable set of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this mutable set is a triple.

     returns

       a triple mutable sets, containing the first, second, respectively third member of each element triple of this mutable set.

     Definition Classes
       GenericTraversableTemplate

160. #### def update(elem: Int, included: Boolean): Unit

     Updates the presence of a single element in this set.

     Updates the presence of a single element in this set.

     This method allows one to add or remove an element `elem` from this set depending on the value of parameter `included`. Typically, one would use the following syntax:

         set(elem) = true  // adds element
         set(elem) = false // removes element

     elem

       the element to be added or removed

     included

       a flag indicating whether element should be included or excluded.

     Definition Classes
       SetLike

161. #### def view(from: Int, until: Int): IterableView[Int, Set[Int]]

     Creates a non-strict view of a slice of this mutable set.

     Creates a non-strict view of a slice of this mutable set.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current mutable set, whereas `slice` produces a new mutable set.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this mutable set, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableLike → TraversableLike

162. #### def view: IterableView[Int, Set[Int]]

     Creates a non-strict view of this mutable set.

     Creates a non-strict view of this mutable set.

     returns

       a non-strict view of this mutable set.

     Definition Classes
       IterableLike → TraversableLike

163. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

164. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

165. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

166. #### def withFilter(p: (Int) ⇒ Boolean): FilterMonadic[Int, Set[Int]]

     Creates a non-strict filter of this mutable set.

     Creates a non-strict filter of this mutable set.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this mutable set which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

167. #### def zip[B](that: GenIterable[B]): mutable.Set[(A, B)]

     [use case] Returns a mutable set formed from this mutable set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable set formed from this mutable set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new mutable set containing pairs consisting of corresponding elements of this mutable set and `that`. The length of the returned collection is the minimum of the lengths of this mutable set and `that`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: Int, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[Set[Int], (A1, B), That]): That

168. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): mutable.Set[(A, B)]

     [use case] Returns a mutable set formed from this mutable set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable set formed from this mutable set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this mutable set is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this mutable set.

     returns

       a new mutable set containing pairs consisting of corresponding elements of this mutable set and `that`. The length of the returned collection is the maximum of the lengths of this mutable set and `that`. If this mutable set is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this mutable set, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: Int, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[Set[Int], (A1, B), That]): That

169. #### def zipWithIndex: mutable.Set[(A, Int)]

     [use case] Zips this mutable set with its indices.

     [use case]

     Zips this mutable set with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new mutable set containing pairs consisting of all elements of this mutable set paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: Int, That](implicit bf: CanBuildFrom[Set[Int], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

170. #### def |(that: GenSet[Int]): Set[Int]

     Computes the union between this set and another set.

     Computes the union between this set and another set.

     Note: Same as `union`.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       GenSetLike

### Deprecated Value Members

1. #### def /:\[A1 >: Int](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

### Inherited from SelectionSet[Int]

### Inherited from Set[Int]

### Inherited from SetLike[Int, Set[Int]]

### Inherited from collection.mutable.Cloneable[Set[Int]]

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Shrinkable[Int]

### Inherited from Builder[Int, Set[Int]]

### Inherited from Growable[Int]

### Inherited from Clearable

### Inherited from Scriptable[Int]

### Inherited from Set[Int]

### Inherited from SetLike[Int, Set[Int]]

### Inherited from Subtractable[Int, Set[Int]]

### Inherited from GenSet[Int]

### Inherited from GenericSetTemplate[Int, Set]

### Inherited from GenSetLike[Int, Set[Int]]

### Inherited from (Int) ⇒ Boolean

### Inherited from collection.mutable.Iterable[Int]

### Inherited from collection.Iterable[Int]

### Inherited from IterableLike[Int, Set[Int]]

### Inherited from Equals

### Inherited from GenIterable[Int]

### Inherited from GenIterableLike[Int, Set[Int]]

### Inherited from collection.mutable.Traversable[Int]

### Inherited from Mutable

### Inherited from collection.Traversable[Int]

### Inherited from GenTraversable[Int]

### Inherited from GenericTraversableTemplate[Int, Set]

### Inherited from TraversableLike[Int, Set[Int]]

### Inherited from GenTraversableLike[Int, Set[Int]]

### Inherited from Parallelizable[Int, ParSet[Int]]

### Inherited from collection.TraversableOnce[Int]

### Inherited from GenTraversableOnce[Int]

### Inherited from FilterMonadic[Int, Set[Int]]

### Inherited from HasNewBuilder[Int, Set[Int]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped